;Copyright(C) Canon Inc. All right reserved.
; Network Driver Setup
; Definition file
; LastModified: 30-Jan-2014

[Setup]
; Title, BgTitle, FontName, License can be specified in following format.
;  Title.<LangID>
; In this format, you can specify language dependent strings.
; If the .<LangID> entry not found, installer uses no extension entry.
;
Version=4.50
Title=MF 驱动程序

; OS Filter by Hex
; ??? | 2KXP   NT   98Me  95
; 000 |  000  0|00  00|0  001 ---  0x0001(Win95)
; 000 |  000  0|00  00|0  010 ---  0x0002(Win95 OSR2)
; 000 |  000  0|00  00|1  000 ---  0x0008(Win98)
; 000 |  000  0|00  01|0  000 ---  0x0010(Win98 SE)
; 000 |  000  0|00  10|0  000 ---  0x0020(WinMe)
; 000 |  000  0|01  00|0  000 ---  0x0040(WinNT 3.5)
; 000 |  000  0|10  00|0  000 ---  0x0080(WinNT 4)
; 000 |  001  0|00  00|0  000 ---  0x0200(Win2000)
; 000 |  010  0|00  00|0  000 ---  0x0400(WinXP/.NET Server)
; If you will mask installation on only Win2000(and NT3.5),
; you should set 4BF(1+2+8+16+32+64+128+1024)
OSFilter=0x638

; devconfig_config_device timeout(IP address setting timeout)
DevconfigConfigTimeout=90

[Functions]
; Default function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
DefaultTarget=0x7
DefaultTestPrint=0x1

[Printers]
; PrinterNames=0x1,0x2,0x4...  with ACC. Key
PrinterNames=UFRII LT 打印机驱动程序(&U),UFRII LT XPS 打印机驱动程序(&X)
DefaultTestPrint=0x3

;Canon Driver Information Assist Service Install Information
[DIAS]
Version=3.10
BuildNumber=3113
ServiceStart=1
;Path from Setup.exe 
SetupPath=.\misc\DIASsetup.exe
DiskSpace=20

[PortMonitor]
SetupPath=.\misc\Ext\PMon\MFPMIN.dll
UninstPath=.\misc\Ext\PMon\MFPMUI.ex_

[PushScanUtility]
SetupPath=.\misc\Ext\SUtil\MFSUIN.ex_
CommandLine="-NOEULA -NOCONFIRMMSG"

[NetworkWIAInstaller]
SetupPath=.\misc\Ext\nwiainst.ex_
CommandLine=/I:"CANON_MFNP&MF220"

[NetworkWIAInstance]
SetupPath=.\misc\Ext\nwiastup.ex_

[NetworkScanGearInfo]
MDL=MF220
KEY=HKLM,Software\Canon\SateraMFP1\ScanGear\11.3\Devices\MF220
CopyInfName=MF48SCN.INF
CopyCabName=Scan.cab
; 0x1 TWAIN&WIA
; 0x2 WIA Only
InstScanDriver=0x1

[DiscoverData]
Methods=4
Character=65001
Timeout=600
Retry=3

[PortSetting]
Allow_Port=0
Allow_IP=0
PortType=2

[Supported Devices]
; canPdInfoProductName = <Section Name>
Canon MF220 Series=WithFAX

[WithFAX]
; Implemented function flags
; 0x1 Printer
; 0x2 FAX
; 0x4 Scanner
Functions=0x7
InfRoot=..\..\
DiskSpace=10
;add these numbers BDL=1,PCL5=2,PCL6=4,PS=8,XPS=16
ExistingDriverBit=0x11
; Implemented Support Printer flags
; Refer to [Printers] Section
Printers=0x3
DefaultPrinters=0x3
XPSDriver=0x2
ReadmeFileName=Readme_MD.hta

[WithFAX.PRINT.1.NT5]
Hwid=USBPRINT\CanonMF220_Series6CB6
InfName=Driver\CNLB0C.INF
InfGUID={434F903B-A7A7-4AB8-A474-8C42DF4BA9BF}
DiskSpace=70
ReadmeFileName=Readme_UFRIILT.hta

[WithFAX.PRINT.1.x64]
Hwid=USBPRINT\CanonMF220_Series6CB6
InfName=..\x64\Driver\CNLB0CA64.INF
InfGUID={434F903B-A7A7-4AB8-A474-8C42DF4BA9BF}
DiskSpace=70
ReadmeFileName=Readme_UFRIILT.hta


[WithFAX.PRINT.2.NT5]
Hwid=USBPRINT\CanonMF220_Series_XP7B10
InfName=Driver\cnnx0_cb3_len-GB_mmf220seriesxps_pi386.inf
InfGUID={4D1504FA-02BA-49FB-BB1D-E624A09333F6}
DiskSpace=70
ReadmeFileName=Readme_len-GB.hta

;[WithFAX.PRINT.2.x64]
;Hwid=USBPRINT\CanonMF220_Series_XP7B10
;InfName=..\x64\Driver\cnnx0_cb3_len-GB_mmf220seriesxps_pamd64.inf
;InfGUID={4D1504FA-02BA-49FB-BB1D-E624A09333F6}
;DiskSpace=70
;ReadmeFileName=Readme_len-GB.hta


[WithFAX.FAX.NT5]
Hwid=USBPRINT\CanonMF220_Series_FAEA3D
InfName=Driver\cnxrpcw2.inf
InfGUID={931D4963-C17B-4FE2-8E02-0A9D693C61F9}
DiskSpace=70
ReadmeFileName=Readme_Fax.hta

[WithFAX.FAX.x64]
Hwid=USBPRINT\CanonMF220_Series_FAEA3D
InfName=..\x64\Driver\cnxrpca6.inf
InfGUID={931D4963-C17B-4FE2-8E02-0A9D693C61F9}
DiskSpace=70
ReadmeFileName=Readme_Fax.hta


[WithFAX.SCAN.NT5]
Hwid=CANON_MFNP&MF220
InfName=Driver\MF48SCN.INF
InfGUID={31A50F13-EEBD-44B4-A1F4-8F67FE36BECE}
DiskSpace=70
ReadmeFileName=Readme_SG.hta

[WithFAX.SCAN.x64]
Hwid=CANON_MFNP&MF220
InfName=..\x64\Driver\MF48SCN.INF
InfGUID={31A50F13-EEBD-44B4-A1F4-8F67FE36BECE}
DiskSpace=70
ReadmeFileName=Readme_SG.hta


[ExtractShareNameEditStr]
0=MF220
1=XPS
2=UFRIILT
3=FAX



[LANGUAGES]
; 0000 ---- Neutral(Default)
0000=,NiHRes.dll

[RegistrationAPI]
PrintUI=1
SilentOption=0


[9XOsVersionString]
US=Windows 95 or 98
JP=Windows 95 傑偨偼 98

; When
;    HIWORD | LOWORD
; 0x 0001     XXXX     Before
; 0x 0002     XXXX     After
; 0x XXXX     0001     Dlg_Start
; 0x XXXX     0002     Dlg_SdWelcome
; 0x XXXX     0003     Dlg_SdLicense
; 0x XXXX     0004     INIT
; 0x XXXX     0005     Dlg_DiscoveryDevice
; 0x XXXX     0006     Dlg_SelectTarget
; 0x XXXX     0007     Dlg_PortSettings
; 0x XXXX     0008     Dlg_ConfirmSettings
; 0x XXXX     0009     Dlg_InstallProgress
; 0x XXXX     000A     Dlg_Complete
; 0x XXXX     000B     Dlg_SetDefault
; 0x XXXX     000C     Dlg_PrintTestpage
; 0x XXXX     000D     Dlg_ObjDialogs
; 0x XXXX     000E     UNINIT
; 0x XXXX     000F     Dlg_SdFinish
; 
; Action
;  DoInstall --- DoInstall .inx file
;  LaunchApp --- Launch Application
;
; Name --- Display Name 
;	(can be specified language id same as Title, BgTitle, and FontName in [Setup] section.)
; Cmd --- Target file
; CmdLine --- Command line options
; ErrMsgOnLang --- ErrorMessages when the target installer's lang is different from this.
; ErrMsgOnBegin --- ErrorMessages when the file is not found.
; ErrMsgOnLaunch ---- ErrorMessages when the file is not found.
;            You can specify message on begin, and on launch.
;            0xXXXXXXXX
;            HIWORD ---- Abort or Not
;            LOWORD ---- Message id.
;            If you don't want to display the message, write 0 or don't write the entries.
;            You can specify message id up to 10.
;            These id is used MSG_ADDITIONAL_XX(00-10) on value.shl.

;            
;
